import { request } from '/@/utils/service';


const apiPrefix = '/api/choice/marketplace_shops/';

export function getTableData(query: any) {
  return request({
    url: apiPrefix,
    method: 'GET',
    params: query
  });
}

// 导出
export function exportData(query: any) {
  return request({
    url: '/api/choice/goods/export_data/',
    method: 'GET',
    params: query,
    responseType: 'blob'
  });
}

export function genSpAuthLink(query: any) {
  return request({
    url: apiPrefix + 'auth_link/',
    method: 'GET',
    params: query
  });
}


export function updateRow(body: any) {
  return request({
    url: apiPrefix + body.id + '/?partial=true',
    method: 'PUT',
    data: body
  });
}
